summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHenning Schild <henning@hennsch.de>2016-12-06 13:05:39 +0100
committerDavid Seifert <soap@gentoo.org>2016-12-14 09:52:34 +0100
commitd492abd47d60ec8f80d86420c995d60374738633 (patch)
tree4468f2e7603d8fbf19cca9e92b3fc793c8de94a9 /app-misc/sl
parentapp-misc/sl: fix ncurses[tinfo] build (diff)
downloadgentoo-d492abd47d60ec8f80d86420c995d60374738633.tar.gz
gentoo-d492abd47d60ec8f80d86420c995d60374738633.tar.bz2
gentoo-d492abd47d60ec8f80d86420c995d60374738633.zip
app-misc/sl: version bump to 5.02
Signed-off-by: Henning Schild <henning@hennsch.de> Closes: https://github.com/gentoo/gentoo/pull/3040
Diffstat (limited to 'app-misc/sl')
-rw-r--r--app-misc/sl/Manifest1
-rw-r--r--app-misc/sl/sl-5.02.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/app-misc/sl/Manifest b/app-misc/sl/Manifest
index ed3775d409e..d20efd54f2d 100644
--- a/app-misc/sl/Manifest
+++ b/app-misc/sl/Manifest
@@ -1,3 +1,4 @@
+DIST sl-5.02.tar.gz 5353 SHA256 1e5996757f879c81f202a18ad8e982195cf51c41727d3fea4af01fdcbbb5563a SHA512 a4d18bc79d7e0eca7748b10226a6b2a85a7a01d636e4e9215bf524a7849bc5cb250034326e5a69f7423d79e40b92182fddc0e56e25df616edae06369c782cb26 WHIRLPOOL cd44531f70bb854f3fe0f421cc63c9ec7e694631d23249cd3ea452eb76ef3aa43bbe7159796e879dac85be8188084ca1321d5368f87a0d32178dc42aaa72d8c4
DIST sl.en.1.gz 467 SHA256 51dc6d6c902a9c8dd1f04379b53d873e0f321d78710a7fecccf68f08ca6923dc SHA512 5acfc9818ea0f2d3931a24ae0ed1c82685b38b384bd635122ddfbf5d04199cbc3cbc370fa9be48825440abad972029218285a5486ee820f77ea8ab77a3dec2e6 WHIRLPOOL 10fe3e52a18a739381ac7b6ea16cb58a04550bb57534dd3226de349eafad51cce60b7ea7f5ff36ece008d363e81b5c37e3ec943ac8183b8183a95012b7adb0ae
DIST sl.tar 20480 SHA256 b2bcbd86acf2017c84b6aaf6161b3b24f97e34a2d70ab0204c9503f5d50965f4 SHA512 eb0cc0bc0d6e795e32ed84a6813644b41e81ad6fd7ac51e67ec6c99747acdbc9d102041d3af53c9ba75ba7b1581ab4c6a14fc9db20e1f69a30713aefb17f7737 WHIRLPOOL 5173ab275c8a47ef6a20c39bcb7053a9f5d317c092f5813b882913ed625d806f477eaee35398b53fc40b0944f298d3fc540ce94ec9b343491286237aa35b4168
DIST sl5-1.patch 36035 SHA256 4943b6f000f518ed08755b36d9b753291989c4867e55d74bc4cc4502f6e9422f SHA512 25321da4fd2359f1e47a6ab939d3ce5dc8a160a6ede4db3e7355d5efcecf686622f3c9e3e941eeeeed504c61cb15b959648d97f70a97f88efe3a2628eaa96038 WHIRLPOOL 56d11bcdf9f1e27d1261b4616859b8381c6ae49c0897d28a7214fe59f7227013b39ff55d438078bd3cd7e196403a327af1edaba8be38255db38f2090db3070b8
diff --git a/app-misc/sl/sl-5.02.ebuild b/app-misc/sl/sl-5.02.ebuild
new file mode 100644
index 00000000000..03788f07cd8
--- /dev/null
+++ b/app-misc/sl/sl-5.02.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="sophisticated graphical program which corrects your miss typing"
+HOMEPAGE="http://www.tkl.iis.u-tokyo.ac.jp/~toyoda/index_e.html https://github.com/mtoyoda/sl/"
+SRC_URI="https://github.com/mtoyoda/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="l10n_ja"
+
+RDEPEND="sys-libs/ncurses:0="
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+ sed -e "s/-lncurses/$($(tc-getPKG_CONFIG) --libs ncurses)/" -i Makefile || die
+}
+
+src_install() {
+ dobin sl
+ doman ${PN}.1
+ local DOCS=( README.md )
+ if use l10n_ja; then
+ newman ${PN}.1.ja ${PN}.ja.1
+ DOCS+=( README.ja.md )
+ fi
+ einstalldocs
+}